====================
common.h
====================


.. doxygenenum:: mmdeploy_pixel_format_t

.. doxygenenum:: mmdeploy_data_type_t

.. doxygenenum:: mmdeploy_status_t

.. doxygentypedef:: mmdeploy_device_t

.. doxygentypedef:: mmdeploy_profiler_t

.. doxygenstruct:: mmdeploy_mat_t
   :members:
   :undoc-members:

.. doxygenstruct:: mmdeploy_rect_t
   :members:
   :undoc-members:

.. doxygenstruct:: mmdeploy_point_t
   :members:
   :undoc-members:

.. doxygentypedef:: mmdeploy_value_t

.. doxygentypedef:: mmdeploy_context_t

.. doxygenfunction:: mmdeploy_value_copy

.. doxygenfunction:: mmdeploy_value_destroy

.. doxygenfunction:: mmdeploy_device_create

.. doxygenfunction:: mmdeploy_device_destroy

.. doxygenfunction:: mmdeploy_profiler_create

.. doxygenfunction:: mmdeploy_profiler_destroy

.. doxygenfunction:: mmdeploy_context_create

.. doxygenfunction:: mmdeploy_context_create_by_device

.. doxygenfunction:: mmdeploy_context_destroy

.. doxygenfunction:: mmdeploy_context_add

.. doxygenfunction:: mmdeploy_common_create_input
